var app = {
	api_key: 'ZHOU!@#zhou',

	//服务器接口地址
	api_url: 'https://api.npnlink.com/api/',
	//api_url: 'http://192.168.100.201/api/',

	//当前APP所在环境  1 测试环境更新  2正式环境更新
	updateStatus: 2,

	//APP资源接口地址
	update_url: 'https://api.npnlink.com/api/',

	doajax: function(url, params, onSuccess, showLoading, isAsync, onError) {
		var url = app.api_url + url;
		var onSuccess = arguments[2] ? arguments[2] : function() {};
		var showLoading = arguments[3] ? arguments[3] : false;
		var isAsync = arguments[4] != null ? arguments[4] : true;
		var onError = arguments[5] ? arguments[5] : function() {};
		var time = app.getTimestamp();
		var signstr = md5(app.api_key + time) + '.' + time;
		var authstr = myStorage.getItem('token') != null ? myStorage.getItem('token') : '';
		//console.log('async:' + isAsync);
		//console.log('url:' + JSON.stringify(url));
		//console.log('request:' + JSON.stringify(params));
		//console.log('sign:' + signstr);
		//console.log('auth:' + authstr);
		var ajaxObj = {
			async: isAsync,
			dataType: 'text', //服务器返回json格式数据
			type: 'post', //HTTP请求类型
			data: params,
			timeout: 6000, //超时时间设置为6秒；
			headers: {
				'sign': signstr,
				'auth': authstr,
			},
			success: function(data) {
				//console.log(url + ' | response:' + data);
				var data = JSON.parse(data);
				//服务器返回响应，根据响应结果
				if(data.success == 2002) {
					app.showtips(data.msg);
					setTimeout(function() {
						app.UserInfo.dologout();
					}, 2000);
				}
				onSuccess(data);
			},
			error: function(xhr, type, errorThrown) {
				plus.nativeUI.closeWaiting();
				app.showtips('服务器开小差了，请重试');
				//console.log('error:' + errorThrown);
				//console.log(xhr.responseText);
				onError();
			}
		};

		if(showLoading == true) {
			ajaxObj.beforeSend = function() {
				uiloading = plus.nativeUI.showWaiting();
			};
			ajaxObj.complete = function() {
				uiloading.close();
			};
		}

		mui.ajax(url, ajaxObj);
	},
	getSign: function() {
		var time = app.getTimestamp();
		return md5(app.api_key + time) + '.' + time;
	},
	getAuth: function() {
		return myStorage.getItem('token') != null ? myStorage.getItem('token') : '';
	},
	getTimestamp: function() {
		var timestamp = Date.parse(new Date());
		timestamp = timestamp / 1000;
		return timestamp;
	},
	UserInfo: {
		//检查是否已登录
		is_login: function() {
			var token = app.UserInfo.token();
			var token_expires = app.UserInfo.token_expires();
			var time = app.getTimestamp();

			if(!token || !token_expires) {
				return false;
			} else {
				if(time >= token_expires) {
					return app.UserInfo.get_token();
				} else {
					return true;
				}
			}
		},
		//登录方法
		dologin: function(username, pwd, showloading) {
			var showloading = arguments[2] ? arguments[2] : false;
			var clientid = '';
			var info = plus.push.getClientInfo();

			if(info.clientid && info.clientid != 'null') {
				clientid = info.clientid;
				app.UserInfo.clientid(info.clientid.toString());
			}
			var login_data = new Object();
			login_data.mobile = username;
			login_data.password = pwd;
			login_data.client = 1;
			login_data.IMEI = plus.device.uuid;
			login_data.clientid = clientid;
			login_data.clientos = mui.os.ios ? 'ios' : 'android';

			app.doajax('Login/index', login_data, function(data) {
				if(data.success == 1) {
					app.UserInfo.token(data.data.auth);
					app.UserInfo.token_expires(data.data.exp);
					if(data.data.company === null) {
						var company = '';
					} else {
						var company = data.data.company;
					}
					if(data.data.companyid === null) {
						var companyid = '';
					} else {
						var companyid = data.data.companyid;
					}
					if(data.data.type === null) {
						var type = '';
					} else {
						var type = data.data.type;
					}
					if(data.data.role === null) {
						var role = '';
					} else {
						var role = JSON.stringify(data.data.role);
					}
					app.UserInfo.company(company);
					app.UserInfo.companyid(companyid);
					app.UserInfo.type(type);
					app.UserInfo.roles(role);
					app.UserInfo.realname(data.data.realname);
					app.UserInfo.mobile(data.data.mobile.toString());
					app.openview.showMainPage();
				} else {
					mui.alert(data.msg);
					return false;
				}
			}, showloading);
		},
		//登出方法
		dologout: function() {
			myStorage.clear();
			app.openview.showLoginPage();
		},
		get_token: function(token) {
			var postdata = new Object();
			postdata.client = 1;
			var result;
			app.doajax('Login/getToken', postdata, function(data) {
				if(data.success == 1) {
					app.UserInfo.token(data.data.auth);
					app.UserInfo.token_expires(data.data.exp);
					if(data.data.company === null) {
						var company = '';
					} else {
						var company = data.data.company.toString();
					}
					if(data.data.companyid === null) {
						var companyid = '';
					} else {
						var companyid = data.data.companyid.toString();
					}
					if(data.data.type === null) {
						var type = '';
					} else {
						var type = data.data.type.toString();
					}
					app.UserInfo.company(company);
					app.UserInfo.companyid(companyid);
					app.UserInfo.type(type);
					result = true;
				} else {
					result = false;
				}
			}, false, false);
			return result;
		},
		token: function() {
			if(arguments.length == 0) {
				return myStorage.getItem('token');
			}
			if(arguments[0] === '') {
				myStorage.removeItem('token');
				return;
			}
			myStorage.setItem('token', arguments[0]);
		},
		token_expires: function() {
			if(arguments.length == 0) {
				return myStorage.getItem('token_expires');
			}
			if(arguments[0] === '') {
				myStorage.removeItem('token_expires');
				return;
			}
			myStorage.setItem('token_expires', arguments[0]);
		},
		company: function() {
			if(arguments.length == 0) {
				return myStorage.getItem('company');
			}
			if(arguments[0] === '') {
				myStorage.removeItem('company');
				return;
			}
			myStorage.setItem('company', arguments[0]);
		},
		companyid: function() {
			if(arguments.length == 0) {
				return myStorage.getItem('companyid');
			}
			if(arguments[0] === '') {
				myStorage.removeItem('companyid');
				return;
			}
			myStorage.setItem('companyid', arguments[0]);
		},
		type: function() {
			if(arguments.length == 0) {
				return myStorage.getItem('type');
			}
			if(arguments[0] === '') {
				myStorage.removeItem('type');
				return;
			}
			myStorage.setItem('type', arguments[0]);
		},
		realname: function() {
			if(arguments.length == 0) {
				return myStorage.getItem('realname');
			}
			if(arguments[0] === '') {
				myStorage.removeItem('realname');
				return;
			}
			myStorage.setItem('realname', arguments[0]);
		},
		mobile: function() {
			if(arguments.length == 0) {
				return myStorage.getItem('mobile');
			}
			if(arguments[0] === '') {
				myStorage.removeItem('mobile');
				return;
			}
			myStorage.setItem('mobile', arguments[0].toString());
		},
		location: function() {
			if(arguments.length == 0) {
				return myStorage.getItem('location');
			}
			if(arguments[0] === '') {
				myStorage.removeItem('location');
				return;
			}
			myStorage.setItem('location', arguments[0].toString());
		},
		roles: function() {
			if(arguments.length == 0) {
				if(myStorage.getItem('roles')) {
					return JSON.parse(myStorage.getItem('roles'));
				} else {
					return [];
				}
			}
			if(arguments[0] === '') {
				myStorage.removeItem('roles');
				return;
			}
			myStorage.setItem('roles', arguments[0].toString());
		},
		rellist: function() {
			if(arguments.length == 0) {
				if(myStorage.getItem('rellist')) {
					return JSON.parse(myStorage.getItem('rellist'));
				} else {
					return [];
				}
			}
			if(arguments[0] === '') {
				myStorage.removeItem('rellist');
				return;
			}
			myStorage.setItem('rellist', arguments[0].toString());
		},
		clientid: function() {
			if(arguments.length == 0) {
				return myStorage.getItem('clientid');
			}
			if(arguments[0] === '') {
				myStorage.removeItem('clientid');
				return;
			}
			myStorage.setItem('clientid', arguments[0].toString());
		},
	},
	/**
	 * 上传附件
	 * @param {Object} localsrc 本地路径
	 * @param {Object} CallSuccess 成功回调函数，第一个参数是附件URL
	 */
	uploadfile: function(localsrc, CallSuccess) {
		var uploadserver = this.api_url + 'Uploader/upload';
		if(localsrc == '') {
			plus.nativeUI.alert("上传附件本地路径为空");
			return;
		}

		var wt = plus.nativeUI.showWaiting('上传中');
		var task = plus.uploader.createUpload(uploadserver, {
				method: "POST"
			},
			function(t, status) { //上传完成
				if(status == 200) {
					wt.close();
					plus.uploader.clear(); //清除上传
					console.log("上传成功：" + t.responseText);
					CallSuccess(t.responseText);
				} else {
					wt.close();
					plus.uploader.clear(); //清除上传
					plus.nativeUI.alert("上传出错了" + t.responseText);
				}
			}
		);
		task.addFile(localsrc, {
			key: 'file'
		});
		task.setRequestHeader('sign', app.getSign());
		task.setRequestHeader('auth', app.getAuth());
		task.start();
	},
	/**
	 * 本地图片压缩方法
	 * @param {Object} $localsrc 本地原图片路径
	 * @param {Object} onSuccess 压缩成功后回调函数，传入$imgurl作为压缩后图片路径
	 */
	compressImage: function($localsrc, onSuccess) {
		var wt = plus.nativeUI.showWaiting('压缩上传中');
		var _img_ = new Image();
		_img_.src = $localsrc; // 传过来的图片路径在这里用。
		_img_.onload = function() {
			EXIF.getData(this, function() {
				var _imgExif = EXIF.getAllTags(this);
				//console.log('exif:' + JSON.stringify(_imgExif));
				var _rotate = 0;
				// 取原图有效宽高
				var imgExifHeight = _img_.height;
				var imgExifWidth = _img_.width;
				//console.log('imgH:' + _img_.height + " | " + _img_.width);
				// IOS平台图片处理
				if(plus.os.name == 'iOS') {
					if(_imgExif.Orientation == 6 || _imgExif.Orientation == 8) {
						// IOS平台图片旋转拍摄只需对换宽高
						var tmpheight = imgExifHeight;
						imgExifHeight = imgExifWidth;
						imgExifWidth = tmpheight;
					}
				} else {
					// 安卓平台图片处理
					if(_imgExif.Orientation == 6) {
						_rotate = 90;
					} else if(_imgExif.Orientation == 8) {
						_rotate = 270;
					}
				}
				var bili = (imgExifHeight / imgExifWidth).toFixed(2); // 保留两位小数点

				if(imgExifHeight > 1280 || imgExifWidth > 1280) {
					if(imgExifHeight > imgExifWidth) {
						imgExifHeight = 1280;
						imgExifWidth = (imgExifHeight / bili).toFixed(0);
					} else {
						imgExifWidth = 1280;
						imgExifHeight = (1280 * bili).toFixed(0);
					}
				}

				_img_ = null;

				var timestamp = new Date().getTime();

				//console.log('_rotate:' + _rotate);
				//console.log('imgExifWidth : ' + imgExifWidth + " | imgExifHeight:" + imgExifHeight);

				plus.zip.compressImage({
						src: $localsrc,
						dst: '_doc/' + timestamp + '.jpg',
						overwrite: true,
						width: imgExifWidth + 'px', //这里指定了宽度，同样可以修改
						height: imgExifHeight + 'px',
						format: 'jpg',
						rotate: _rotate,
						quality: 50 //图片质量不再修改，以免失真
					},
					function(e) {
						wt.close();
						onSuccess(e.target); //压缩后的地址传入回调函数
					},
					function(err) {
						wt.close();
						plus.nativeUI.alert('图片压缩出错,请重试');
					}
				);
			});
		}
	},
	/*验证用户权限*/
	checkRole: function($act) {
		var roles = app.UserInfo.roles();
		if(!roles) {
			return false;
		} else {
			if(roles[$act] == '1') {
				return true;
			} else {
				return false;
			}
		}
	},
	/**
	 * 更新用户信息及用户公司信息
	 * @param {Object} async false是同步执行，true是异步执行
	 */
	updateUserInfo: function(async) {
		var async = arguments[0] ? arguments[0] : false;
		app.doajax('Home/getMyInfo', '', function(data) {
			if(data.success == 1) {
				if(data.data) {
					app.UserInfo.realname(data.data.realname);
					app.UserInfo.mobile(data.data.mobile);
					if(data.data.company && data.data.company != 'null') {
						app.UserInfo.company(data.data.company.name);
						app.UserInfo.companyid(data.data.company.companyid);
						app.UserInfo.type(data.data.company.type);
					} else {
						app.UserInfo.company('');
						app.UserInfo.companyid('');
						app.UserInfo.type('');
					}
				}
			}
		}, false, async);
	},
	/*更新用户权限*/
	updateRole: function(async) {
		var async = arguments[0] ? arguments[0] : false;
		app.doajax('Home/getMyRole', '', function(data) {
			if(data.success == 1) {
				if(data.data && data.data != 'null') {
					app.UserInfo.roles(JSON.stringify(data.data));
				} else {
					app.UserInfo.roles('');
				}
			}
		}, false, async);
	},
	/*更新合作公司*/
	updateRelList: function(onCallback) {
		var onCallback = arguments[0] ? arguments[0] : function() {};
		app.doajax('Company/relList', '', function(res) {
			app.UserInfo.rellist(JSON.stringify(res.data));
			onCallback(res);
		}, false);
	},
	/*更新商品规格数据本地缓存*/
	updateGoodsOptions: function() {
		app.doajax('Goods/getOptionList', {}, function(res) {
			if(res.success == 1){
				myStorage.setItem('OptionList', JSON.stringify(res.data));
			}
		}, false);
	},
	showtips: function($content) {
		/*检测系统，苹果系统用原生脚本，安卓系统用DIV模式方式*/
		if(mui.os.android) {
			mui.toast($content, {
				type: 'div'
			});
		} else {
			plus.nativeUI.toast($content);
		}
	},
	is_mobile: function(mobile) {
		var p1 = /^1[3|4|5|7|8][0-9]\d{8}$/;
		if(p1.test(mobile)) {
			return true;
		} else {
			return false;
		}
	},
	//获取验证码
	//checkreg 检测手机号是否已注册，若不传该参数，则不检测；1：检测甲方端用户表内，2：检测乙方端用户表内
	//exist	若传checkreg，则必传exist；0：要求不存在，1：要求存在
	getsms: function getsms(mobile, exist, onCallback) {
		var exist = arguments[1] != null ? arguments[1] : '';
		var onCallback = arguments[2] ? arguments[2] : function() {};
		var data_mobile = new Object();
		data_mobile.mobile = mobile;

		if(exist !== '') {
			data_mobile.checkreg = 1;
			data_mobile.exist = exist;
		}

		app.doajax('Sms/getAuthCode', data_mobile, function(data) {
			onCallback(data);
		}, true);
	},

	/**
	 * 检查是否最新
	 * @return 最新 true 不是最新  false
	 */
	checkVersion: function() {
		// 本地应用资源号
		var wgtVer = '';
		plus.runtime.getProperty(plus.runtime.appid, function(inf) {
			wgtVer = inf.version;
			if(wgtVer != '') {
				var updateVersion = new Object();
				updateVersion.version = wgtVer;
				updateVersion.status = app.updateStatus;

				var url = app.update_url + 'Login/checkVersion';

				var time = app.getTimestamp();
				var signstr = md5(app.api_key + time) + '.' + time;
				var ajaxObj = {
					async: true,
					dataType: 'json', //服务器返回json格式数据
					type: 'post', //HTTP请求类型
					data: updateVersion,
					timeout: 6000, //超时时间设置为10秒；
					headers: {
						'sign': signstr,
					},
					success: function(data) {
						//plus.nativeUI.closeWaiting();
						if(data.success == 1) {
							if(data.data != '') {
								app.downWgt(data.data.url);
							}
						} else {
							plus.nativeUI.alert(data.msg);
						}
					},
					error: function(xhr, type, errorThrown) {
						//plus.nativeUI.closeWaiting();
						//plus.nativeUI.alert('服务器开小差了，无法获取更新信息');
					}
				};

				mui.ajax(url, ajaxObj);

			}
		});
	},
	downWgt: function(wgtUrl) {
		plus.nativeUI.showWaiting("加载中...");
		plus.downloader.createDownload(wgtUrl, {
			filename: "_doc/update/"
		}, function(d, status) {
			if(status == 200) {
				app.installWgt(d.filename);
			}
			plus.nativeUI.closeWaiting();
		}).start();
	},
	installWgt: function(path) {
		plus.nativeUI.showWaiting("自动设置中...");
		plus.runtime.install(path, {}, function() {
			plus.nativeUI.closeWaiting();
			plus.nativeUI.alert("设置完成，请重新启动APP！", function() {
				plus.runtime.restart();
			});
		}, function(e) {
			plus.nativeUI.closeWaiting();
		});
	},
	//获取定位位置信息
	getLocation: function() {
		plus.geolocation.getCurrentPosition(function(p) {
			var coords = new Object();
			coords.latitude = p.coords.latitude;
			coords.longitude = p.coords.longitude;
			coords.altitude = p.coords.altitude;

			var location = new Object();
			location.address = p.address;
			location.addresses = p.addresses;
			location.coords = coords;
			// 地址获取成功回调
			app.UserInfo.location(JSON.stringify(location));
			coords = null;
			location = null;
		}, function(e) {
			// 地址获取失败回调
			console.log(e.message);
		});
	},
	/**
	 * 格式化时间
	 * @param time 十位的时间戳
	 * @param format 默认格式： 'yyyy-MM-dd hh:mm:ss'
	 * @returns {*|string}
	 */
	formatTime: function(time, format) {
		format = format || 'yyyy-MM-dd hh:mm';
		var oDate = time ? new Date(time * 1000) : new Date();
		var o = {
			"M+": oDate.getMonth() + 1,
			"d+": oDate.getDate(),
			"h+": oDate.getHours(),
			"m+": oDate.getMinutes(),
			"s+": oDate.getSeconds(),
			"q+": Math.floor((oDate.getMonth() + 3) / 3),
			"S": oDate.getMilliseconds()
		};

		if(/(y+)/.test(format)) {
			format = format.replace(RegExp.$1, (oDate.getFullYear() + "").substr(4 - RegExp.$1.length));
		}
		for(var k in o) {
			if(new RegExp("(" + k + ")").test(format)) {
				format = format.replace(RegExp.$1, RegExp.$1.length == 1 ? o[k] : ("00" + o[k]).substr(("" + o[k]).length));
			}
		}
		return format;
	},
	/**参数说明：
	 * 根据长度截取先使用字符串，超长部分追加…
	 * str 对象字符串
	 * len 目标字节长度
	 * 返回值： 处理结果字符串
	 */
	cutString: function(str, len, more) {
		var more = arguments[2] != null ? arguments[2] : '...';
		//length属性读出来的汉字长度为1
		if(str.length * 2 <= len) {
			return str;
		}
		var strlen = 0;
		var s = "";
		for(var i = 0; i < str.length; i++) {
			s = s + str.charAt(i);
			if(str.charCodeAt(i) > 128) {
				strlen = strlen + 2;
				if(strlen >= len) {
					return s.substring(0, s.length - 1) + more;
				}
			} else {
				strlen = strlen + 1;
				if(strlen >= len) {
					return s.substring(0, s.length - 2) + more;
				}
			}
		}
		return s;
	},

	/**
	 * 清理webview
	 * @example 适用场景：登录注销后，关闭无用或历史webview；
	 * @param {Array} idList 不被关闭的webview的id集合
	 */
	clearWebview: function(idList) {
		console.log('appid:' + plus.runtime.appid);
		idList.push(plus.runtime.appid); //入口页不可销毁
		var wvList = plus.webview.all();
		for(var i = 0, len = wvList.length; i < len; i++) {
			if(~idList.indexOf(wvList[i].id)) { //当前webview不需关闭
				continue;
			}
			wvList[i].close('none'); //静默关闭，不使用动画效果；
		}
	},
	//调用手机发送短信
	//手机号码['15678520524', '18502736690']
	//内容"This is ZHOUZHOU's test!"
	sendSMS: function(mobiles, body) {
		var msg = plus.messaging.createMessage(plus.messaging.TYPE_SMS);
		msg.to = mobiles;
		msg.body = body;
		plus.messaging.sendMessage(msg);
	},
	openview: {
		/*
		 * 订货供应商选择
		 * typeid : 订货类型
		 */
		showSelectSupplier: function(typeid) {
			var userCompanyid = app.UserInfo.companyid();
			if(userCompanyid > 0) {
				//已有公司
				mui.openWindow({
					url: 'supplierlist.html',
					extras: {
						typeid: typeid
					},
					show: {
						autoShow: false
					}
				});
			} else {
				app.openview.showNoCompanyPage();
			}

		},
		/*
		 * 选择租用规格页面
		 */
		showGoodsStandard: function(companyid, typeid) {
			mui.openWindow({
				url: 'goodslist.html',
				extras: {
					companyid: companyid,
					typeid: typeid
				},
				show: {
					autoShow: false
				}
			});
		},
		/*
		 * 订货订单支付页面
		 */
		showTradePay: function(tradeobj, goodsinfo) {
			mui.openWindow({
				url: 'tradepay.html',
				extras: {
					trade: tradeobj,
					goodsinfo: goodsinfo
				},
				show: {
					autoShow: false
				}
			});
		},
		showNoCompanyPage: function() {
			mui.openWindow({
				url: 'nocompany.html',
				show: {
					autoShow: true
				}
			});
		},
		// 显示交易订单详情
		showTradeDetails: function($tradeid) {
			var $tradeid = arguments[0] ? arguments[0] : false;
			// 先显示loading框
			plus.nativeUI.showWaiting();
			// 先发ajax请求,loading 设为false
			var postdata = {
				tradeid: $tradeid
			}
			app.doajax('Trade/tradeDetail', postdata, function(data) {
				if(data.success == 1) {
					// 有正确数据再打开页面，并传值
					var $initobj = data.data;
					mui.openWindow({
						url: 'trade_details.html',
						show: {
							autoShow: false
						},
						extras: {
							initobj: $initobj,
							tradeid: $tradeid
						},
						waiting: {
							autoShow: false
						}
					});
				} else {
					// success = 0 时，要手动关闭loading
					plus.nativeUI.closeWaiting();
				}

			}, false);
		},
		// 显示车辆订单详情
		showOrderDetails: function($orderid) {
			// 先显示loading框
			plus.nativeUI.showWaiting();
			var $orderid = arguments[0] ? arguments[0] : false;
			var $initobj = {};
			var $traderellist = [];

			if($orderid) {
				var postdata = {
					id: $orderid
				};
				app.doajax('Trade/getOrderDetail', postdata, function(data) {
					if(data.success == 1) {
						$initobj = data.data;

						// 打开webview,传值
						mui.openWindow({
							url: 'order_details.html',
							extras: {
								orderid: $orderid,
								traderellist: $traderellist,
								initobj: $initobj
							},
							show: {
								autoShow: false //页面loaded事件发生后自动显示，默认为true
							},
							waiting: {
								autoShow: false
							}
						});
					} else {
						plus.nativeUI.closeWaiting();
						app.showtips(data.msg);
					}

				}, false);
			} else {
				var postdata = new Object();
				postdata.pagesize = 0;
				postdata.status = 1;
				postdata.isselect = 1;
				app.doajax('Trade/tradeList', postdata, function(data) {
					if(data.success == 1) {
						$traderellist = data.data.list;
						mui.openWindow({
							url: 'order_details.html',
							extras: {
								orderid: $orderid,
								traderellist: $traderellist,
								initobj: $initobj
							},
							show: {
								autoShow: false //页面loaded事件发生后自动显示，默认为true
							},
							waiting: {
								autoShow: false
							}
						});
					} else {
						plus.nativeUI.closeWaiting();
						app.showtips(data.msg);
					}
				}, false);
			}
		},
		// 确认收货车辆订单并评价
		showOrderConfirm: function($orderid) {
			// 先显示loading框
			plus.nativeUI.showWaiting();
			var $orderid = arguments[0] ? arguments[0] : false;
			var $initobj = {};

			if($orderid) {
				var objPost = {
					id: $orderid
				};
				app.doajax('Trade/getOrderDetail', objPost, function(data) {
					if(data.success == 1) {
						$initobj = data.data;

						// 打开webview,传值
						mui.openWindow({
							url: 'order_confirm.html',
							extras: {
								orderid: $orderid,
								initobj: $initobj
							},
							show: {
								autoShow: false //页面loaded事件发生后自动显示，默认为true
							},
							waiting: {
								autoShow: false
							}
						});
					} else {
						plus.nativeUI.closeWaiting();
						app.showtips(data.msg);
					}
				}, false);
			} else {
				plus.nativeUI.closeWaiting();
				app.showtips("无效订单");
			}
		},
		/*
		 * 显示公司信息界面
		 */
		showCompanyInfo: function() {

			// 先显示loading框
			plus.nativeUI.showWaiting();

			// 先发ajax请求,loading 设为false
			app.doajax('Company/findMyCompany', {}, function(data) {
				if(data.success == 1) {
					// 有正确数据再打开页面，并传值
					var $initobj = data.data;
					mui.openWindow({
						url: 'company_info.html',
						show: {
							autoShow: false
						},
						extras: {
							initobj: $initobj
						},
						waiting: {
							autoShow: false
						}
					});
				} else {
					// success = 0 时，要手动关闭loading
					plus.nativeUI.closeWaiting();
					app.showtips(data.msg);
				}
			}, false);
		},
		/**
		 * 显示兼职收货员设置页
		 */
		showRecieverSetting: function($receivernum) {
			// 先显示loading框
			plus.nativeUI.showWaiting();
			// 先发ajax请求,loading 设为false
			app.doajax('Company/getReceiverMember', {}, function(data) {
				if(data.success == 1) {
					// 有正确数据再打开页面，并传值
					var $initlist = data.data;
					mui.openWindow({
						url: 'receiver_setting.html',
						show: {
							autoShow: false
						},
						extras: {
							list: $initlist,
							receivernum: $receivernum
						},
						waiting: {
							autoShow: false
						}
					});
				} else {
					// success = 0 时，要手动关闭loading
					plus.nativeUI.closeWaiting();
					app.showtips(data.msg);
				}
			}, false);
		},

		/**
		 * 显示我的消息列表页
		 */
		showMessagelist: function() {
			// 先显示loading框
			plus.nativeUI.showWaiting();
			// 先发ajax请求,loading 设为false
			app.doajax('Usermsg/getList', {}, function(data) {
				if(data.success == 1) {
					// 有正确数据再打开页面，并传值
					var $initlist = data.data.list;
					mui.openWindow({
						url: 'messagelist.html',
						show: {
							autoShow: false
						},
						extras: {
							initlist: $initlist
						},
						waiting: {
							autoShow: false
						}
					});
				} else {
					// success = 0 时，要手动关闭loading
					plus.nativeUI.closeWaiting();
				}
			}, false);
		},
		/*
		 * 显示通用版首页
		 */
		showCommonDashboard: function() {

		},
		/*
		 * 搜索公司加合作
		 */
		showCompanySearch: function(searchtext) {
			var searchtext = arguments[0] ? arguments[0] : '';
			mui.openWindow({
				url: 'company_search.html',
				show: {
					autoShow: false
				},
				extras: {
					searchtext: searchtext
				}
			});
		},
		/*
		 * 优质供应商页
		 */
		showQualityCompanys: function() {

		},
		/*
		 * 合作关系列表页
		 */
		showRelList: function() {
			// 先显示loading框
			plus.nativeUI.showWaiting();
			app.updateRelList(function(res) {
				var $list = res.data;
				mui.openWindow({
					url: 'rellist.html',
					extras: {
						list: $list
					},
					show: {
						autoShow: false //页面loaded事件发生后自动显示，默认为true
					},
					waiting: {
						autoShow: false
					}
				});
			});

		},
		/*
		 * 创建项目公司页
		 */
		showCreateCompany: function() {
			mui.openWindow({
				url: 'companycreate.html',
				show: {
					autoShow: true
				}
			});
		},
		/*
		 * 加入公司项目页
		 */
		showJoinCompany: function() {
			mui.openWindow({
				url: 'company_join.html',
				show: {
					autoShow: true
				}
			});
		},
		/*
		 * 显示登录首页
		 */
		showLoginPage: function() {
			plus.webview.open('login.html', 'login.html', {
				top: '0px',
				bottom: '0px'
			}, 'fade-in', 300, function() {
				/*关闭非登录有关的webview*/
				var idlist = ['login.html', 'bootstrap.html'];
				app.clearWebview(idlist);
			});
		},
		/*
		 * 显示登陆后主界面
		 */
		showMainPage: function() {
			plus.webview.open('main.html', 'main.html', {
				top: '0px',
				bottom: '0px'
			}, 'fade-in', 300, function() {
				/*关闭登录有关的webview*/
				plus.webview.close('login.html');
				plus.webview.close('find_password.html');
				plus.webview.close('register.html');
			});
		},
		/**
		 * 显示个人信息
		 */
		showPersonInfo: function(showLoading) {
			var showLoading = arguments[0] ? arguments[0] : false;
			// 先显示loading框
			plus.nativeUI.showWaiting();
			if(!arguments[0]) {
				app.doajax('Member/getUser', '', function(data) {
					if(data.success == 1) {
						var $userinfo = data.data;
						app.UserInfo.mobile(data.data.mobile);
						mui.openWindow({
							url: 'person_info.html',
							id: 'person_info.html',
							styles: {
								top: '0px',
								bottom: '0px'
							},
							extras: {
								userinfo: $userinfo
							},
							show: {
								autoShow: showLoading //页面loaded事件发生后自动显示，默认为true
							},
							waiting: {
								autoShow: false
							},

						});

					} else {
						plus.nativeUI.closeWaiting();
					}
				}, false);
			} else {
				mui.openWindow({
					url: 'password_info.html',
					id: 'password_info.html',
					styles: {
						top: '0px',
						bottom: '0px'
					},
					show: {
						autoShow: showLoading //页面loaded事件发生后自动显示，默认为true
					},
					waiting: {
						autoShow: false
					},

				});
			}

		},
		/**
		 * 显示公司成员列表
		 */
		showCompanyMembers: function() {
			// 先显示loading框
			plus.nativeUI.showWaiting();
			app.doajax('Company/memberList', '', function(data) {
				if(data.success == 1) {
					$members = data.data.list;
					$role = data.data.role;
					mui.openWindow({
						url: 'companymembers.html',
						id: 'companymembers.html',
						styles: {
							top: '0px',
							bottom: '0px'
						},
						extras: {
							members: $members,
							role: $role
						},
						waiting: {
							autoShow: false
						},
						show: {
							autoShow: false //页面loaded事件发生后自动显示，默认为true
						}
					});

				} else {
					plus.nativeUI.closeWaiting();
				}

			}, false);

		},
		/* 显示发票  */
		showInvoice: function() {
			mui.openWindow({
				url: 'invoice.html',
				id: 'invoice.html',
				styles: {
					top: '0px',
					bottom: '0px'
				},
				extras: {},
				show: {
					autoShow: false //页面loaded事件发生后自动显示，默认为true
				}
			});
		},
		/*显示提示消息*/
		showMessage: function() {
			mui.openWindow({
				url: 'message.html',
				id: 'message.html',
				styles: {
					top: '0px',
					bottom: '0px'
				},
				extras: {},
				show: {
					autoShow: false //页面loaded事件发生后自动显示，默认为true
				}
			});
		},
		/*显示反馈信息*/
		showFeedback: function() {
			mui.openWindow({
				url: 'feedback.html',
				id: 'feedback.html',
				styles: {
					top: '0px',
					bottom: '0px'
				},
				extras: {},
				show: {
					autoShow: true //页面loaded事件发生后自动显示，默认为true
				}
			});
		},
		/*
		 * 帮助列表页
		 */
		showHelpPage: function() {
			// 先显示loading框
			plus.nativeUI.showWaiting();
			var info = new Object();
			info.classifyid = 23;
			app.doajax('News/getList', info, function(data) {
				if(data.success == 1) {
					$list = data.data.list;
					mui.openWindow({
						url: 'help_info.html',
						id: 'help_info.html',
						styles: {
							top: '0px',
							bottom: '0px'
						},
						extras: {
							list: $list
						},
						show: {
							autoShow: false //页面loaded事件发生后自动显示，默认为true
						}
					});
				} else {
					plus.nativeUI.closeWaiting();
				}
			}, false);

		},
		/**
		 * 内置浏览器方法
		 * @param {String} $url
		 * @param {String} $title
		 */
		openBowser: function($url, $title) {
			mui.openWindow({
				url: "bowser.html",
				id: "bowser.html",
				extras: {
					page_title: $title,
					target_url: $url
				}
			});
		},
	}
};