// 注册全局组件
Vue.component('my-nolist', {
	props: ['msg'],
	template: '<div class="v-no-list"><span class="icon mui-icon iconfont icon-xiaolian15"></span><h5>{{msg}}</h5></div>'
});

Vue.component('my-success', {
	props: ['msg'],
	template: '<div class="v-op-success"><span class="icon mui-icon iconfont icon-chenggong"></span><h5>{{msg}}</h5></div>'
});

// 注册全局过滤器
/**
 * 格式化企业营业范围
 */
Vue.filter('typeidToString', function(value) {
	var types = value.split(",");
	var companytype = '';
	if(types.length > 0) {
		for(var i = 0; i < types.length; i++) {
			if(types[i] == '1') {
				companytype += "钢材  ";
			} else if(types[i] == '2') {
				companytype += "木材  ";
			} else if(types[i] == '3') {
				companytype += "脚手架  ";
			}
		}
	}
	return companytype;
});
//格式化时间
Vue.filter('timeFormat', function(value) {
	// 时间戳转 2017-03-03 12:00 格式
	var date = new Date(value * 1000);
	Y = date.getFullYear();
	m = date.getMonth() + 1;
	d = date.getDate();
	H = date.getHours();
	i = date.getMinutes();
	if(m < 10) {
		m = '0' + m;
	}
	if(d < 10) {
		d = '0' + d;
	}
	if(H < 10) {
		H = '0' + H;
	}
	if(i < 10) {
		i = '0' + i;
	}
	var t = Y + '-' + m + '-' + d + ' ' + H + ':' + i;
	return t;
});
//格式化时间
Vue.filter('dateFormat', function(value) {
	// 时间戳转 2017-03-03 12:00 格式
	var date = new Date(value * 1000);
	Y = date.getFullYear();
	m = date.getMonth() + 1;
	d = date.getDate();
	H = date.getHours();
	i = date.getMinutes();
	if(m < 10) {
		m = '0' + m;
	}
	if(d < 10) {
		d = '0' + d;
	}
	if(H < 10) {
		H = '0' + H;
	}
	if(i < 10) {
		i = '0' + i;
	}
	var t = Y + '-' + m + '-' + d;
	return t;
});
//友好时间
Vue.filter('friendlytime', function(date) {
	//获取js 时间戳
	var time = new Date().getTime();
	//去掉 js 时间戳后三位，与php 时间戳保持一致
	time = parseInt((time - date * 1000) / 1000);

	//存储转换值 
	var s;
	if(time < 60) { //十分钟内
		return '刚刚';
	} else if((time < 60 * 60) && (time >= 60)) {
		//超过十分钟少于1小时
		s = Math.floor(time / 60);
		return s + "分钟前";
	} else if((time < 60 * 60 * 24) && (time >= 60 * 60)) {
		//超过1小时少于24小时
		s = Math.floor(time / 60 / 60);
		return s + "小时前";
	} else if((time < 60 * 60 * 24 * 3) && (time >= 60 * 60 * 24)) {
		//超过1天少于3天内
		s = Math.floor(time / 60 / 60 / 24);
		return s + "天前";
	} else {
		//超过3天
		var date = new Date(parseInt(date) * 1000);
		return(date.getMonth() + 1) + "月" + date.getDate() + "日";
	}
});

// 角色id显示名称
Vue.filter('roleIdText', function(roleid, ctype) {
	var ctype = arguments[1] ? arguments[1] : '-1';
	if(roleid == '1') {
		return '管理员';
	} else if(roleid == '2') {
		return '经理';
	} else if(roleid == '3') {
		if(ctype == '0') {
			return '物资员';
		} else {
			return '操作员';
		}
	} else if(roleid == '4') {
		if(ctype == '0') {
			return '兼职收货员';
		} else {
			return '兼职操作员';
		}
	} else if(roleid == '5') {
		return '观察员';
	}
});

// order 订单状态转文字
Vue.filter('orderStatusText', function(status) {
	var $text = '';
	if(status == '0') {
		$text = '待签收';
	} else if(status == '99') {
		$text = '已完成';
	}else if(status == '-1'){
		$text = '已拒收';
	}
	return $text;
});